import * as React from 'react';
const IconThumb = ({
  size,
  color = 'currentColor',
  ...props
}: { size?: number; fill?: string } & React.SVGProps<any>) => (
  <svg
    width={size || 24}
    height={size || 24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      d="M12.894 4.019C12.5449 3.93436 12.1998 4.14088 12.0614 4.47232C11.1996 7.58039 8.7998 9.22425 8.7998 11.396V16.5598C8.7998 17.4769 9.33065 18.3799 10.2682 18.7213C12.3886 19.4935 13.7862 19.6506 15.9668 19.4616C17.6394 19.3166 18.8967 18.0343 19.2451 16.4857L19.9208 13.4824C20.3709 11.4819 18.8496 9.58027 16.7992 9.58027L14.3994 9.58023C14.7748 7.32787 15.6912 4.6973 12.894 4.019Z"
      fill={color}
    />
    <path
      d="M4 11.1799C4 10.5172 4.53721 9.97998 5.1999 9.97998H6.79977C7.46246 9.97998 7.99968 10.5172 7.99968 11.1799V17.5794C7.99968 18.242 7.46246 18.7793 6.79977 18.7793H5.1999C4.53721 18.7793 4 18.242 4 17.5794V11.1799Z"
      fill={color}
    />
  </svg>
);
export default IconThumb;
